For archived content, access the previous documentation here or the previous API reference here.

Delete a submitted evidence

Prev Next
Delete
/v1/disputes/{dispute_id}/evidences/{evidence_id}

Remove a previously submitted evidence item from a dispute. The dispute must still be in ACTION_REQUIRED status. Deleted evidence cannot be recovered.

Security
HTTP
Type basic
Path parameters
dispute_id
stringRequired

Unique identifier of the dispute that owns this evidence.

evidence_id
stringRequired

Unique identifier of the evidence item to delete.

Responses
204

Evidence deleted successfully.

404

Dispute or evidence not found.

dispute_not_found
{
  "error_code": "DISPUTE_NOT_FOUND",
  "message": "The specified dispute was not found."
}
evidence_not_found
{
  "error_code": "EVIDENCE_NOT_FOUND",
  "message": "Evidence ID 'mi-dspt-evd-12345' does not exist or is not accessible."
}
object
error_code
string
ExampleILLEGAL_STATE
message
string
ExampleThe requested action is not allowed in the current dispute state.
409

Action not allowed in current state.

{
  "error_code": "ILLEGAL_STATE",
  "message": "The requested action is not allowed in the current dispute state."
}
object
error_code
string
ExampleILLEGAL_STATE
message
string
ExampleThe requested action is not allowed in the current dispute state.
422

This dispute uses an unsupported workflow version.

{
  "error_code": "ILLEGAL_STATE",
  "message": "This dispute uses a deprecated FSM version that is no longer supported."
}
object
error_code
string
ExampleILLEGAL_STATE
message
string
ExampleThe requested action is not allowed in the current dispute state.